This commit is contained in:
whottgen 2004-09-29 19:45:48 +00:00
parent 59e2a2d342
commit 9625f3b078
9 changed files with 243 additions and 155 deletions

View File

@ -1,2 +1,2 @@
SUBDIRS = libsmmapdfw smmapd verify test SUBDIRS = libsmmapdfw smmapd verify_worker test_worker cyrus_worker

View File

@ -85,9 +85,11 @@ RANLIB = @RANLIB@
RC = @RC@ RC = @RC@
STRIP = @STRIP@ STRIP = @STRIP@
VERSION = @VERSION@ VERSION = @VERSION@
cyrus_BUILD = @cyrus_BUILD@
test_BUILD = @test_BUILD@
verify_BUILD = @verify_BUILD@ verify_BUILD = @verify_BUILD@
SUBDIRS = libsmmapdfw smmapd verify test SUBDIRS = libsmmapdfw smmapd verify_worker test_worker cyrus_worker
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h CONFIG_HEADER = config.h

225
smmapdfw/configure vendored
View File

@ -464,7 +464,7 @@ ac_includes_default="\
# include <unistd.h> # include <unistd.h>
#endif" #endif"
ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO SET_MAKE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CPP CXX CXXFLAGS ac_ct_CXX CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL verify_BUILD LIBOBJS LTLIBOBJS' ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO SET_MAKE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CPP CXX CXXFLAGS ac_ct_CXX CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL verify_BUILD test_BUILD cyrus_BUILD LIBOBJS LTLIBOBJS'
ac_subst_files='' ac_subst_files=''
# Initialize some variables set by options. # Initialize some variables set by options.
@ -1028,8 +1028,6 @@ Optional Features:
--enable-FEATURE[=ARG] include FEATURE [ARG=yes] --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
--enable-maintainer-mode enable make rules and dependencies not useful --enable-maintainer-mode enable make rules and dependencies not useful
(and sometimes confusing) to the casual installer (and sometimes confusing) to the casual installer
--enable-verify-cache Enables the cache in the verify worker. Required a
dbm implemenation. (default=yes)
--enable-shared[=PKGS] --enable-shared[=PKGS]
build shared libraries [default=yes] build shared libraries [default=yes]
--enable-static[=PKGS] --enable-static[=PKGS]
@ -1037,17 +1035,24 @@ Optional Features:
--enable-fast-install[=PKGS] --enable-fast-install[=PKGS]
optimize for fast installation [default=yes] optimize for fast installation [default=yes]
--disable-libtool-lock avoid locking (might break parallel builds) --disable-libtool-lock avoid locking (might break parallel builds)
--enable-verify-cache Enables the cache in the verify worker. Required a
dbm implemenation. (default=yes)
--enable-verify-worker Enables the sender address verification worker.
(default=no)
--enable-test-worker Enables the test worker (just an example).
(default=no)
--enable-cyrus-worker Enables the cyrus mailbox checker. (default=no)
Optional Packages: Optional Packages:
--with-PACKAGE[=ARG] use PACKAGE [ARG=yes] --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
--without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
--with-bdb-lib-dir Directory for Berkeley DB library files
--with-bdb-inc-dir Directory for Berkeley include files
--with-gnu-ld assume the C compiler uses GNU ld [default=no] --with-gnu-ld assume the C compiler uses GNU ld [default=no]
--with-pic try to use only PIC/non-PIC objects [default=use --with-pic try to use only PIC/non-PIC objects [default=use
both] both]
--with-tags[=TAGS] --with-tags[=TAGS]
include additional configurations [automatic] include additional configurations [automatic]
--with-bdb-lib-dir Directory for Berkeley DB library files
--with-bdb-inc-dir Directory for Berkeley include files
Some influential environment variables: Some influential environment variables:
CC C compiler command CC C compiler command
@ -1833,61 +1838,6 @@ fi
ac_config_commands="$ac_config_commands default-1" ac_config_commands="$ac_config_commands default-1"
ENABLE_VERIFY_CACHE=1
# Check whether --enable-verify-cache or --disable-verify-cache was given.
if test "${enable_verify_cache+set}" = set; then
enableval="$enable_verify_cache"
if test "x$enableval" = xyes; then ENABLE_VERIFY_CACHE=1; fi
if test "x$enableval" = xno; then ENABLE_VERIFY_CACHE=0; fi
fi;
cat >>confdefs.h <<_ACEOF
#define ENABLE_VERIFY_CACHE ${ENABLE_VERIFY_CACHE}
_ACEOF
# Check whether --with-bdb-lib-dir or --without-bdb-lib-dir was given.
if test "${with_bdb_lib_dir+set}" = set; then
withval="$with_bdb_lib_dir"
case "$withval" in
no)
if test "x$ENABLE_VERIFY_CACHE" = "x1"; then
{ { echo "$as_me:$LINENO: error: Need bdb-lib-dir" >&5
echo "$as_me: error: Need bdb-lib-dir" >&2;}
{ (exit 1); exit 1; }; }
fi
;;
yes)
;;
*)
LDFLAGS="-L$withval"
;;
esac
fi;
# Check whether --with-bdb-inc-dir or --without-bdb-inc-dir was given.
if test "${with_bdb_inc_dir+set}" = set; then
withval="$with_bdb_inc_dir"
case "$withval" in
no)
if test "x$ENABLE_VERIFY_CACHE" = "x1"; then
{ { echo "$as_me:$LINENO: error: Need bdb-inc-dir" >&5
echo "$as_me: error: Need bdb-inc-dir" >&2;}
{ (exit 1); exit 1; }; }
fi
;;
yes)
;;
*)
CPPFLAGS="-I$withval"
;;
esac
fi;
@ -3415,7 +3365,7 @@ ia64-*-hpux*)
;; ;;
*-*-irix6*) *-*-irix6*)
# Find out which ABI we are using. # Find out which ABI we are using.
echo '#line 3418 "configure"' > conftest.$ac_ext echo '#line 3368 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5 (eval $ac_compile) 2>&5
ac_status=$? ac_status=$?
@ -4870,7 +4820,7 @@ fi
# Provide some information about the compiler. # Provide some information about the compiler.
echo "$as_me:4873:" \ echo "$as_me:4823:" \
"checking for Fortran 77 compiler version" >&5 "checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2` ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@ -5902,11 +5852,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'` -e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:5905: $lt_compile\"" >&5) (eval echo "\"\$as_me:5855: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err) (eval "$lt_compile" 2>conftest.err)
ac_status=$? ac_status=$?
cat conftest.err >&5 cat conftest.err >&5
echo "$as_me:5909: \$? = $ac_status" >&5 echo "$as_me:5859: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized # The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings # So say no if there are warnings
@ -6135,11 +6085,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'` -e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:6138: $lt_compile\"" >&5) (eval echo "\"\$as_me:6088: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err) (eval "$lt_compile" 2>conftest.err)
ac_status=$? ac_status=$?
cat conftest.err >&5 cat conftest.err >&5
echo "$as_me:6142: \$? = $ac_status" >&5 echo "$as_me:6092: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized # The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings # So say no if there are warnings
@ -6195,11 +6145,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'` -e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:6198: $lt_compile\"" >&5) (eval echo "\"\$as_me:6148: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err) (eval "$lt_compile" 2>out/conftest.err)
ac_status=$? ac_status=$?
cat out/conftest.err >&5 cat out/conftest.err >&5
echo "$as_me:6202: \$? = $ac_status" >&5 echo "$as_me:6152: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext if (exit $ac_status) && test -s out/conftest2.$ac_objext
then then
# The compiler can only warn and ignore the option if not recognized # The compiler can only warn and ignore the option if not recognized
@ -8383,7 +8333,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 8386 "configure" #line 8336 "configure"
#include "confdefs.h" #include "confdefs.h"
#if HAVE_DLFCN_H #if HAVE_DLFCN_H
@ -8481,7 +8431,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 8484 "configure" #line 8434 "configure"
#include "confdefs.h" #include "confdefs.h"
#if HAVE_DLFCN_H #if HAVE_DLFCN_H
@ -10658,11 +10608,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'` -e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:10661: $lt_compile\"" >&5) (eval echo "\"\$as_me:10611: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err) (eval "$lt_compile" 2>conftest.err)
ac_status=$? ac_status=$?
cat conftest.err >&5 cat conftest.err >&5
echo "$as_me:10665: \$? = $ac_status" >&5 echo "$as_me:10615: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized # The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings # So say no if there are warnings
@ -10718,11 +10668,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'` -e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:10721: $lt_compile\"" >&5) (eval echo "\"\$as_me:10671: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err) (eval "$lt_compile" 2>out/conftest.err)
ac_status=$? ac_status=$?
cat out/conftest.err >&5 cat out/conftest.err >&5
echo "$as_me:10725: \$? = $ac_status" >&5 echo "$as_me:10675: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext if (exit $ac_status) && test -s out/conftest2.$ac_objext
then then
# The compiler can only warn and ignore the option if not recognized # The compiler can only warn and ignore the option if not recognized
@ -12087,7 +12037,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 12090 "configure" #line 12040 "configure"
#include "confdefs.h" #include "confdefs.h"
#if HAVE_DLFCN_H #if HAVE_DLFCN_H
@ -12185,7 +12135,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 12188 "configure" #line 12138 "configure"
#include "confdefs.h" #include "confdefs.h"
#if HAVE_DLFCN_H #if HAVE_DLFCN_H
@ -13012,11 +12962,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'` -e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:13015: $lt_compile\"" >&5) (eval echo "\"\$as_me:12965: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err) (eval "$lt_compile" 2>conftest.err)
ac_status=$? ac_status=$?
cat conftest.err >&5 cat conftest.err >&5
echo "$as_me:13019: \$? = $ac_status" >&5 echo "$as_me:12969: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized # The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings # So say no if there are warnings
@ -13072,11 +13022,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'` -e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:13075: $lt_compile\"" >&5) (eval echo "\"\$as_me:13025: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err) (eval "$lt_compile" 2>out/conftest.err)
ac_status=$? ac_status=$?
cat out/conftest.err >&5 cat out/conftest.err >&5
echo "$as_me:13079: \$? = $ac_status" >&5 echo "$as_me:13029: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext if (exit $ac_status) && test -s out/conftest2.$ac_objext
then then
# The compiler can only warn and ignore the option if not recognized # The compiler can only warn and ignore the option if not recognized
@ -15117,11 +15067,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'` -e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:15120: $lt_compile\"" >&5) (eval echo "\"\$as_me:15070: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err) (eval "$lt_compile" 2>conftest.err)
ac_status=$? ac_status=$?
cat conftest.err >&5 cat conftest.err >&5
echo "$as_me:15124: \$? = $ac_status" >&5 echo "$as_me:15074: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized # The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings # So say no if there are warnings
@ -15350,11 +15300,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'` -e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:15353: $lt_compile\"" >&5) (eval echo "\"\$as_me:15303: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err) (eval "$lt_compile" 2>conftest.err)
ac_status=$? ac_status=$?
cat conftest.err >&5 cat conftest.err >&5
echo "$as_me:15357: \$? = $ac_status" >&5 echo "$as_me:15307: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized # The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings # So say no if there are warnings
@ -15410,11 +15360,11 @@ else
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \ -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'` -e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:15413: $lt_compile\"" >&5) (eval echo "\"\$as_me:15363: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err) (eval "$lt_compile" 2>out/conftest.err)
ac_status=$? ac_status=$?
cat out/conftest.err >&5 cat out/conftest.err >&5
echo "$as_me:15417: \$? = $ac_status" >&5 echo "$as_me:15367: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext if (exit $ac_status) && test -s out/conftest2.$ac_objext
then then
# The compiler can only warn and ignore the option if not recognized # The compiler can only warn and ignore the option if not recognized
@ -17598,7 +17548,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 17601 "configure" #line 17551 "configure"
#include "confdefs.h" #include "confdefs.h"
#if HAVE_DLFCN_H #if HAVE_DLFCN_H
@ -17696,7 +17646,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 17699 "configure" #line 17649 "configure"
#include "confdefs.h" #include "confdefs.h"
#if HAVE_DLFCN_H #if HAVE_DLFCN_H
@ -21218,10 +21168,99 @@ fi
done done
# Check whether --with-bdb-lib-dir or --without-bdb-lib-dir was given.
if test "${with_bdb_lib_dir+set}" = set; then
withval="$with_bdb_lib_dir"
case "$withval" in
no)
if test "x$ENABLE_VERIFY_CACHE" = "x1"; then
{ { echo "$as_me:$LINENO: error: Need bdb-lib-dir" >&5
echo "$as_me: error: Need bdb-lib-dir" >&2;}
{ (exit 1); exit 1; }; }
fi
;;
yes)
;;
*)
LDFLAGS="-L$withval"
;;
esac
fi;
# Check whether --with-bdb-inc-dir or --without-bdb-inc-dir was given.
if test "${with_bdb_inc_dir+set}" = set; then
withval="$with_bdb_inc_dir"
case "$withval" in
no)
if test "x$ENABLE_VERIFY_CACHE" = "x1"; then
{ { echo "$as_me:$LINENO: error: Need bdb-inc-dir" >&5
echo "$as_me: error: Need bdb-inc-dir" >&2;}
{ (exit 1); exit 1; }; }
fi
;;
yes)
;;
*)
CPPFLAGS="-I$withval"
;;
esac
fi;
ENABLE_VERIFY_CACHE=1
# Check whether --enable-verify-cache or --disable-verify-cache was given.
if test "${enable_verify_cache+set}" = set; then
enableval="$enable_verify_cache"
if test "x$enableval" = xyes; then ENABLE_VERIFY_CACHE=1; fi
if test "x$enableval" = xno; then ENABLE_VERIFY_CACHE=0; fi
fi;
cat >>confdefs.h <<_ACEOF
#define ENABLE_VERIFY_CACHE ${ENABLE_VERIFY_CACHE}
_ACEOF
verify_BUILD= verify_BUILD=
# Check whether --enable-verify-worker or --disable-verify-worker was given.
if test "${enable_verify_worker+set}" = set; then
enableval="$enable_verify_worker"
verify_BUILD=libverify_worker.la
fi;
test_BUILD=
# Check whether --enable-test-worker or --disable-test-worker was given.
if test "${enable_test_worker+set}" = set; then
enableval="$enable_test_worker"
test_BUILD=libtest_workers.la
fi;
cyrus_BUILD=
# Check whether --enable-cyrus-worker or --disable-cyrus-worker was given.
if test "${enable_cyrus_worker+set}" = set; then
enableval="$enable_cyrus_worker"
cyrus_BUILD=libcyrus_worker.la
fi;
ac_config_files="$ac_config_files Makefile libsmmapdfw/Makefile smmapd/Makefile test/Makefile verify/Makefile cyrus/Makefile"
ac_config_files="$ac_config_files Makefile libsmmapdfw/Makefile smmapd/Makefile test_worker/Makefile verify_worker/Makefile cyrus_worker/Makefile"
cat >confcache <<\_ACEOF cat >confcache <<\_ACEOF
@ -21762,9 +21801,9 @@ do
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;; "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"libsmmapdfw/Makefile" ) CONFIG_FILES="$CONFIG_FILES libsmmapdfw/Makefile" ;; "libsmmapdfw/Makefile" ) CONFIG_FILES="$CONFIG_FILES libsmmapdfw/Makefile" ;;
"smmapd/Makefile" ) CONFIG_FILES="$CONFIG_FILES smmapd/Makefile" ;; "smmapd/Makefile" ) CONFIG_FILES="$CONFIG_FILES smmapd/Makefile" ;;
"test/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/Makefile" ;; "test_worker/Makefile" ) CONFIG_FILES="$CONFIG_FILES test_worker/Makefile" ;;
"verify/Makefile" ) CONFIG_FILES="$CONFIG_FILES verify/Makefile" ;; "verify_worker/Makefile" ) CONFIG_FILES="$CONFIG_FILES verify_worker/Makefile" ;;
"cyrus/Makefile" ) CONFIG_FILES="$CONFIG_FILES cyrus/Makefile" ;; "cyrus_worker/Makefile" ) CONFIG_FILES="$CONFIG_FILES cyrus_worker/Makefile" ;;
"default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;; "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
"config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;; "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
*) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
@ -21900,6 +21939,8 @@ s,@FFLAGS@,$FFLAGS,;t t
s,@ac_ct_F77@,$ac_ct_F77,;t t s,@ac_ct_F77@,$ac_ct_F77,;t t
s,@LIBTOOL@,$LIBTOOL,;t t s,@LIBTOOL@,$LIBTOOL,;t t
s,@verify_BUILD@,$verify_BUILD,;t t s,@verify_BUILD@,$verify_BUILD,;t t
s,@test_BUILD@,$test_BUILD,;t t
s,@cyrus_BUILD@,$cyrus_BUILD,;t t
s,@LIBOBJS@,$LIBOBJS,;t t s,@LIBOBJS@,$LIBOBJS,;t t
s,@LTLIBOBJS@,$LTLIBOBJS,;t t s,@LTLIBOBJS@,$LTLIBOBJS,;t t
CEOF CEOF

View File

@ -8,50 +8,6 @@ AM_MAINTAINER_MODE
AM_CONFIG_HEADER(config.h) AM_CONFIG_HEADER(config.h)
ENABLE_VERIFY_CACHE=1
AC_ARG_ENABLE(verify-cache,
[AC_HELP_STRING(--enable-verify-cache, [
Enables the cache in the verify worker.
Required a dbm implemenation.
(default=yes)])],
if test "x$enableval" = xyes; then ENABLE_VERIFY_CACHE=1; fi
if test "x$enableval" = xno; then ENABLE_VERIFY_CACHE=0; fi
)
AC_DEFINE_UNQUOTED(ENABLE_VERIFY_CACHE, ${ENABLE_VERIFY_CACHE}, [enable verify cache])
AC_ARG_WITH(bdb-lib-dir,
[AC_HELP_STRING(--with-bdb-lib-dir, [
Directory for Berkeley DB library files])],
[ case "$withval" in
no)
if test "x$ENABLE_VERIFY_CACHE" = "x1"; then
AC_MSG_ERROR(Need bdb-lib-dir)
fi
;;
yes)
;;
*)
LDFLAGS="-L$withval"
;;
esac ]
)
AC_ARG_WITH(bdb-inc-dir,
[AC_HELP_STRING(--with-bdb-inc-dir, [
Directory for Berkeley include files])],
[ case "$withval" in
no)
if test "x$ENABLE_VERIFY_CACHE" = "x1"; then
AC_MSG_ERROR(Need bdb-inc-dir)
fi
;;
yes)
;;
*)
CPPFLAGS="-I$withval"
;;
esac ]
)
@ -114,10 +70,87 @@ AC_FUNC_SELECT_ARGTYPES
AC_CHECK_FUNCS([inet_ntoa memset select socket strchr strdup strerror strrchr strtol dlopen dlsym dlerror], [], AC_CHECK_FUNCS([inet_ntoa memset select socket strchr strdup strerror strrchr strtol dlopen dlsym dlerror], [],
[AC_MSG_ERROR([*** missing function, we can't go without it])]) [AC_MSG_ERROR([*** missing function, we can't go without it])])
dnl verify_BUILD=libverify_worker.la
verify_BUILD=
AC_SUBST(verify_BUILD)
AC_CONFIG_FILES([Makefile libsmmapdfw/Makefile smmapd/Makefile test/Makefile verify/Makefile cyrus/Makefile])
AC_ARG_WITH(bdb-lib-dir,
[AC_HELP_STRING(--with-bdb-lib-dir, [
Directory for Berkeley DB library files])],
[ case "$withval" in
no)
if test "x$ENABLE_VERIFY_CACHE" = "x1"; then
AC_MSG_ERROR(Need bdb-lib-dir)
fi
;;
yes)
;;
*)
LDFLAGS="-L$withval"
;;
esac ]
)
AC_ARG_WITH(bdb-inc-dir,
[AC_HELP_STRING(--with-bdb-inc-dir, [
Directory for Berkeley include files])],
[ case "$withval" in
no)
if test "x$ENABLE_VERIFY_CACHE" = "x1"; then
AC_MSG_ERROR(Need bdb-inc-dir)
fi
;;
yes)
;;
*)
CPPFLAGS="-I$withval"
;;
esac ]
)
ENABLE_VERIFY_CACHE=1
AC_ARG_ENABLE(verify-cache,
[AC_HELP_STRING(--enable-verify-cache, [
Enables the cache in the verify worker.
Required a dbm implemenation.
(default=yes)])],
if test "x$enableval" = xyes; then ENABLE_VERIFY_CACHE=1; fi
if test "x$enableval" = xno; then ENABLE_VERIFY_CACHE=0; fi
)
AC_DEFINE_UNQUOTED(ENABLE_VERIFY_CACHE, ${ENABLE_VERIFY_CACHE}, [enable verify cache])
verify_BUILD=
AC_ARG_ENABLE(verify-worker,
[AC_HELP_STRING(--enable-verify-worker, [
Enables the sender address verification worker.
(default=no)])],
verify_BUILD=libverify_worker.la
)
test_BUILD=
AC_ARG_ENABLE(test-worker,
[AC_HELP_STRING(--enable-test-worker, [
Enables the test worker (just an example).
(default=no)])],
test_BUILD=libtest_workers.la
)
cyrus_BUILD=
AC_ARG_ENABLE(cyrus-worker,
[AC_HELP_STRING(--enable-cyrus-worker, [
Enables the cyrus mailbox checker.
(default=no)])],
cyrus_BUILD=libcyrus_worker.la
)
AC_SUBST(verify_BUILD)
AC_SUBST(test_BUILD)
AC_SUBST(cyrus_BUILD)
AC_CONFIG_FILES([Makefile libsmmapdfw/Makefile smmapd/Makefile test_worker/Makefile verify_worker/Makefile cyrus_worker/Makefile])
AC_OUTPUT AC_OUTPUT

View File

@ -85,9 +85,12 @@ RANLIB = @RANLIB@
RC = @RC@ RC = @RC@
STRIP = @STRIP@ STRIP = @STRIP@
VERSION = @VERSION@ VERSION = @VERSION@
cyrus_BUILD = @cyrus_BUILD@
test_BUILD = @test_BUILD@
verify_BUILD = @verify_BUILD@ verify_BUILD = @verify_BUILD@
lib_LTLIBRARIES = libcyrus_worker.la lib_LTLIBRARIES = @cyrus_BUILD@
EXTRA_LTLIBRARIES = libcyrus_worker.la
libcyrus_worker_la_SOURCES = cyrus_worker.c libcyrus_worker_la_SOURCES = cyrus_worker.c
libcyrus_worker_la_LIBADD = ../libsmmapdfw/libsmmapdfw.la libcyrus_worker_la_LIBADD = ../libsmmapdfw/libsmmapdfw.la
@ -125,7 +128,7 @@ all: all-redirect
.SUFFIXES: .SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s .SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4) $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnu cyrus/Makefile cd $(top_srcdir) && $(AUTOMAKE) --gnu cyrus_worker/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES) Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
cd $(top_builddir) \ cd $(top_builddir) \
@ -196,7 +199,7 @@ distclean-libtool:
maintainer-clean-libtool: maintainer-clean-libtool:
libcyrus_worker.la: $(libcyrus_worker_la_OBJECTS) $(libcyrus_worker_la_DEPENDENCIES) libcyrus_worker.la: $(libcyrus_worker_la_OBJECTS) $(libcyrus_worker_la_DEPENDENCIES)
$(LINK) -rpath $(libdir) $(libcyrus_worker_la_LDFLAGS) $(libcyrus_worker_la_OBJECTS) $(libcyrus_worker_la_LIBADD) $(LIBS) $(LINK) $(libcyrus_worker_la_LDFLAGS) $(libcyrus_worker_la_OBJECTS) $(libcyrus_worker_la_LIBADD) $(LIBS)
tags: TAGS tags: TAGS
@ -229,14 +232,14 @@ maintainer-clean-tags:
distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir) distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
subdir = cyrus subdir = cyrus_worker
distdir: $(DISTFILES) distdir: $(DISTFILES)
here=`cd $(top_builddir) && pwd`; \ here=`cd $(top_builddir) && pwd`; \
top_distdir=`cd $(top_distdir) && pwd`; \ top_distdir=`cd $(top_distdir) && pwd`; \
distdir=`cd $(distdir) && pwd`; \ distdir=`cd $(distdir) && pwd`; \
cd $(top_srcdir) \ cd $(top_srcdir) \
&& $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu cyrus/Makefile && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu cyrus_worker/Makefile
@for file in $(DISTFILES); do \ @for file in $(DISTFILES); do \
d=$(srcdir); \ d=$(srcdir); \
if test -d $$d/$$file; then \ if test -d $$d/$$file; then \

View File

@ -85,6 +85,8 @@ RANLIB = @RANLIB@
RC = @RC@ RC = @RC@
STRIP = @STRIP@ STRIP = @STRIP@
VERSION = @VERSION@ VERSION = @VERSION@
cyrus_BUILD = @cyrus_BUILD@
test_BUILD = @test_BUILD@
verify_BUILD = @verify_BUILD@ verify_BUILD = @verify_BUILD@
include_HEADERS = containers_public.h queue.h smtp.h cfg.h count.h safe_write.h sunos_comp.h dns.h smmapd.h include_HEADERS = containers_public.h queue.h smtp.h cfg.h count.h safe_write.h sunos_comp.h dns.h smmapd.h

View File

@ -85,6 +85,8 @@ RANLIB = @RANLIB@
RC = @RC@ RC = @RC@
STRIP = @STRIP@ STRIP = @STRIP@
VERSION = @VERSION@ VERSION = @VERSION@
cyrus_BUILD = @cyrus_BUILD@
test_BUILD = @test_BUILD@
verify_BUILD = @verify_BUILD@ verify_BUILD = @verify_BUILD@
noinst_HEADERS = containers.h noinst_HEADERS = containers.h

View File

@ -85,9 +85,12 @@ RANLIB = @RANLIB@
RC = @RC@ RC = @RC@
STRIP = @STRIP@ STRIP = @STRIP@
VERSION = @VERSION@ VERSION = @VERSION@
cyrus_BUILD = @cyrus_BUILD@
test_BUILD = @test_BUILD@
verify_BUILD = @verify_BUILD@ verify_BUILD = @verify_BUILD@
lib_LTLIBRARIES = libtest_workers.la lib_LTLIBRARIES = @test_BUILD@
EXTRA_LTLIBRARIES = libtest_workers.la
libtest_workers_la_SOURCES = test_workers.c libtest_workers_la_SOURCES = test_workers.c
libtest_workers_la_LIBADD = ../libsmmapdfw/libsmmapdfw.la libtest_workers_la_LIBADD = ../libsmmapdfw/libsmmapdfw.la
@ -125,7 +128,7 @@ all: all-redirect
.SUFFIXES: .SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s .SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4) $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnu test/Makefile cd $(top_srcdir) && $(AUTOMAKE) --gnu test_worker/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES) Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
cd $(top_builddir) \ cd $(top_builddir) \
@ -196,7 +199,7 @@ distclean-libtool:
maintainer-clean-libtool: maintainer-clean-libtool:
libtest_workers.la: $(libtest_workers_la_OBJECTS) $(libtest_workers_la_DEPENDENCIES) libtest_workers.la: $(libtest_workers_la_OBJECTS) $(libtest_workers_la_DEPENDENCIES)
$(LINK) -rpath $(libdir) $(libtest_workers_la_LDFLAGS) $(libtest_workers_la_OBJECTS) $(libtest_workers_la_LIBADD) $(LIBS) $(LINK) $(libtest_workers_la_LDFLAGS) $(libtest_workers_la_OBJECTS) $(libtest_workers_la_LIBADD) $(LIBS)
tags: TAGS tags: TAGS
@ -229,14 +232,14 @@ maintainer-clean-tags:
distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir) distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
subdir = test subdir = test_worker
distdir: $(DISTFILES) distdir: $(DISTFILES)
here=`cd $(top_builddir) && pwd`; \ here=`cd $(top_builddir) && pwd`; \
top_distdir=`cd $(top_distdir) && pwd`; \ top_distdir=`cd $(top_distdir) && pwd`; \
distdir=`cd $(distdir) && pwd`; \ distdir=`cd $(distdir) && pwd`; \
cd $(top_srcdir) \ cd $(top_srcdir) \
&& $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu test/Makefile && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu test_worker/Makefile
@for file in $(DISTFILES); do \ @for file in $(DISTFILES); do \
d=$(srcdir); \ d=$(srcdir); \
if test -d $$d/$$file; then \ if test -d $$d/$$file; then \

View File

@ -85,6 +85,8 @@ RANLIB = @RANLIB@
RC = @RC@ RC = @RC@
STRIP = @STRIP@ STRIP = @STRIP@
VERSION = @VERSION@ VERSION = @VERSION@
cyrus_BUILD = @cyrus_BUILD@
test_BUILD = @test_BUILD@
verify_BUILD = @verify_BUILD@ verify_BUILD = @verify_BUILD@
lib_LTLIBRARIES = @verify_BUILD@ lib_LTLIBRARIES = @verify_BUILD@
@ -127,7 +129,7 @@ all: all-redirect
.SUFFIXES: .SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s .SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4) $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnu verify/Makefile cd $(top_srcdir) && $(AUTOMAKE) --gnu verify_worker/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES) Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
cd $(top_builddir) \ cd $(top_builddir) \
@ -231,14 +233,14 @@ maintainer-clean-tags:
distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir) distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
subdir = verify subdir = verify_worker
distdir: $(DISTFILES) distdir: $(DISTFILES)
here=`cd $(top_builddir) && pwd`; \ here=`cd $(top_builddir) && pwd`; \
top_distdir=`cd $(top_distdir) && pwd`; \ top_distdir=`cd $(top_distdir) && pwd`; \
distdir=`cd $(distdir) && pwd`; \ distdir=`cd $(distdir) && pwd`; \
cd $(top_srcdir) \ cd $(top_srcdir) \
&& $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu verify/Makefile && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu verify_worker/Makefile
@for file in $(DISTFILES); do \ @for file in $(DISTFILES); do \
d=$(srcdir); \ d=$(srcdir); \
if test -d $$d/$$file; then \ if test -d $$d/$$file; then \